com.io7m.jregions.core.parameterized.sizes

## Class PAreaSizeD<S>

- java.lang.Object
- - com.io7m.jregions.core.parameterized.sizes.PAreaSizeD<S>

- Type Parameters:
    `S` - A phantom type parameter indicating the coordinate space of the area
  All Implemented Interfaces:
    PAreaSizeDType<S>

      @Generated(value={"Immutables.generator","PAreaSizeDType<S>"})
      public final class PAreaSizeD<S>
      extends Object
      implements PAreaSizeDType<S>

  The size of an area with `double` coordinates.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PAreaSizeD.Builder<S>` Builds instances of type `PAreaSizeD`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <S> PAreaSizeD.Builder<S>` | `builder()` Creates a builder for `PAreaSizeD`.
    `boolean` | `equals(Object another)` This instance is equal to all instances of `PAreaSizeD` that have equal attribute values.
    `int` | `hashCode()` Computes a hash code from attributes: `width`, `height`.
    `double` | `height()`
    `static <S> PAreaSizeD<S>` | `of(double width, double height)` Construct a new immutable `PAreaSizeD` instance.
    `String` | `toString()` Prints the immutable value `PAreaSizeD` with attribute values.
    `double` | `width()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.io7m.jregions.core.parameterized.sizes.PAreaSizeDType

      `checkPreconditions`

- - ### Method Detail

    - #### width

          public double width()

      Specified by:
        `width` in interface `PAreaSizeDType<S>`
      Returns:
        The width of an area

    - #### height

          public double height()

      Specified by:
        `height` in interface `PAreaSizeDType<S>`
      Returns:
        The height of an area

    - #### equals

          public boolean equals(Object another)

      This instance is equal to all instances of `PAreaSizeD` that have equal attribute values.
      Overrides:
        `equals` in class `Object`
      Returns:
        `true` if `this` is equal to `another` instance

    - #### hashCode

          public int hashCode()

      Computes a hash code from attributes: `width`, `height`.
      Overrides:
        `hashCode` in class `Object`
      Returns:
        hashCode value

    - #### toString

          public String toString()

      Prints the immutable value `PAreaSizeD` with attribute values.
      Overrides:
        `toString` in class `Object`
      Returns:
        A string representation of the value

    - #### of

          public static <S> PAreaSizeD<S> of(double width,
                                             double height)

      Construct a new immutable `PAreaSizeD` instance.
      Parameters:
        `width` - The value for the `width` attribute
        `height` - The value for the `height` attribute
      Returns:
        An immutable PAreaSizeD instance

    - #### builder

          public static <S> PAreaSizeD.Builder<S> builder()

      Creates a builder for `PAreaSizeD`.
      Type Parameters:
        `S` - generic parameter S
      Returns:
        A new PAreaSizeD builder

Copyright © 2017 <code@io7m.com> http://io7m.com